=== debian/changelog ===
tgt (1:1.0.85-1ubuntu1) lunar; urgency=medium

  * Add fio-examples as a localtgt test dependency

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 23 Mar 2023 16:46:49 -0300

tgt (1:1.0.85-1) unstable; urgency=medium

  * New upstream version 1.0.85
    a73ebbd Remove blank from Documentation line in service file
    a3720d2 Remove duplicate include of sysmacros.h

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 09 Jan 2023 16:58:58 +0200

tgt (1:1.0.84-1) unstable; urgency=medium

  * New upstream version 1.0.84:
    646aa73 fix use-after-free in iser_conn_free() (Closes: #1013052)
    9fd4a25 fix bug: target bound initiator-name but client cannot discovery
            the target device
    4c81b97 Remove clear non-existent directories: ibmvio, fc on "make clean"
            command
    7a2da00 Fix FMK and other flags
  * d/watch: relax tarball matching expression
  * Bump Standards-Version to 4.6.1; no changes needed
  * d/control: point Homepage to Github
  * Fix example location in manages (Closes: #979509)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 26 Sep 2022 15:14:57 +0300
