=== debian/tests/control ===
Tests: daemon admin
Depends: tgt

Tests: storage
Depends: tgt, tgt-rbd, tgt-glusterfs
Restrictions: needs-root isolation-container allow-stderr

Tests: localtgt
Depends: tgt, open-iscsi, fio, fio-examples
Restrictions: needs-root isolation-machine allow-stderr
