=== usr/ibmvio/Makefile ===
CFLAGS += -O2 -fno-inline -Wall -fPIC -Wstrict-prototypes -I$(KERNELSRC)/include -I../../usr

clean:
	rm -f *.o
